function u = CoalVal(C,params)
% u = CoalVal(C,params)
%
% <C> contains the identifiers of the agents 
% <params> is a cell array containing the parameters 
% <u> is the value of the coalition
%
% Note: in the workspace, it is needed to declare as global all the
% variables which are needed by the function CoalVal (e.g. correspondence
% between agents and identifiers, tables, etc etc -- see the DEMO file)
% 
% IMPORTANT NOTE: please rename the file name as CoalVal.m before using it

nel = length(C);

% this function use the variables <St> and <CF> which should be declared as
% global in the main workspace
global St;
global CF;

tSt = St{nel}; 
tCF = CF{nel}; 
% tSt: all possible coalitions of the same length of C
% tCF: corresponding values
C = sort(C);
a = tSt - repmat(C,size(tSt,1),1);
b = sum(abs(a),2);
ndx = find(b==0);
u = tCF(ndx);